Bug 737244 - Provide native systemd service files
Provide native systemd service files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rsh (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Sekletar
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-09-10 06:30 EDT by Jóhann B. Guðmundsson
Modified: 2013-10-08 10:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 10:55:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rexec socket (139 bytes, text/plain)
2011-09-10 06:30 EDT, Jóhann B. Guðmundsson
no flags Details
rexec service (138 bytes, text/plain)
2011-09-10 06:31 EDT, Jóhann B. Guðmundsson
no flags Details
rlogin socket (135 bytes, text/plain)
2011-09-10 06:31 EDT, Jóhann B. Guðmundsson
no flags Details
rlogin service (135 bytes, text/plain)
2011-09-10 06:32 EDT, Jóhann B. Guðmundsson
no flags Details
rsh socket (135 bytes, text/plain)
2011-09-10 06:33 EDT, Jóhann B. Guðmundsson
no flags Details
rsh service (132 bytes, text/plain)
2011-09-10 06:34 EDT, Jóhann B. Guðmundsson
no flags Details

  None (edit)
Description Jóhann B. Guðmundsson 2011-09-10 06:30:00 EDT
Description of problem:

Let's get the ball rolling on this one...

http://fedoraproject.org/wiki/Features/SysVtoSystemd


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2011-09-10 06:30:46 EDT
Created attachment 522486 [details]
rexec socket
Comment 2 Jóhann B. Guðmundsson 2011-09-10 06:31:21 EDT
Created attachment 522487 [details]
rexec service
Comment 3 Jóhann B. Guðmundsson 2011-09-10 06:31:58 EDT
Created attachment 522488 [details]
rlogin socket
Comment 4 Jóhann B. Guðmundsson 2011-09-10 06:32:57 EDT
Created attachment 522492 [details]
rlogin service
Comment 5 Jóhann B. Guðmundsson 2011-09-10 06:33:39 EDT
Created attachment 522493 [details]
rsh socket
Comment 6 Jóhann B. Guðmundsson 2011-09-10 06:34:13 EDT
Created attachment 522494 [details]
rsh service
Comment 7 Jóhann B. Guðmundsson 2011-09-10 06:42:54 EDT
Passes simple telnet test and note there is still a (tight) window to have this
in F16
Comment 8 Jóhann B. Guðmundsson 2011-09-12 19:09:59 EDT
Once package and shipped your package should no longer have to depend on xinetd

https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
Comment 9 Fedora Admin XMLRPC Client 2013-04-02 09:25:09 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 10 Fedora End Of Life 2013-04-03 12:25:37 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 11 Fedora Update System 2013-04-15 09:45:32 EDT
rsh-0.17-71.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rsh-0.17-71.fc19
Comment 12 Fedora Update System 2013-04-15 12:20:10 EDT
Package rsh-0.17-71.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rsh-0.17-71.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5708/rsh-0.17-71.fc19
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-04-30 00:34:13 EDT
rsh-0.17-71.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Francis.Montagnac 2013-04-30 03:17:36 EDT
rsh fails between two machines having only IPV4 adresses if one uses
the new rsh.socket systemd file to activate it.

The error message ares: (IPs and names made anonymous):

  rshd[2294]: Host addr ::ffff:X.Y.Z.T not listed for host A.B.C
  rshd[2294]: rsh denied to root@A.B.C as root: Host address mismatch for %s  

It works if:

  - one starts this service the old way with xinetd

  - or if one change rsh.socket to use IPV4, ie:

    ListenStream=a.b.c.d:514

    where a.b.c.d is the IP number of the machine
Comment 15 Michal Sekletar 2013-04-30 12:07:18 EDT
I was trying to reproduce the issue. I used two clean Fedora installations with out of box settings, except IPv6, which I disabled entirely on both hosts. I tried rsh and rlogin and it worked as expected.

Can you describe your environment and settings in greater detail?
Comment 16 Francis.Montagnac 2013-05-01 03:05:24 EDT
> Can you describe your environment and settings in greater detail?

Our network uses a DHCP and DNS IPv4 only servers. The fedora machines
have IPv6 enabled and obtain their IPs through DHCP.

You can reproduce this problem on a single machine as follows:

  - configure it to use IPv6 (the default)

    Then rsh.socket will listen on IPv6 only (see below), while
    allowing IPv4 connections (with IPv4-on-IPv6 if I understand
    correctly)

  - add localhost4 to /root/.rhosts

One obtains:

    rsh localhost4 hostname
    Host address mismatch for localhost

/var/log/messages 

    May  1 08:40:57 local36 systemd[1]: Starting Remote Shell Facilities Server...
    May  1 08:40:57 local36 systemd[1]: Started Remote Shell Facilities Server.
    May  1 08:40:57 local36 rshd[26702]: Host addr ::ffff:127.0.0.1 not listed for host localhost
    May  1 08:40:57 local36 rshd[26702]: rsh denied to root@localhost as root: Host address mismatch for %s
    May  1 08:40:57 local36 rshd[26702]: rsh command was 'hostname'

rsh.socket listen on IPv6 only, unlike ssh that listen on IPv4 and
IPv6:

    lsof -i tcp:514,22
    COMMAND  PID USER   FD   TYPE DEVICE SIZE/OFF NODE NAME
    systemd    1 root   56u  IPv6  41015      0t0  TCP *:shell (LISTEN)
    sshd     777 root    3u  IPv4  16626      0t0  TCP *:ssh (LISTEN)
    sshd     777 root    4u  IPv6  16628      0t0  TCP *:ssh (LISTEN)
Comment 17 Francis.Montagnac 2013-05-02 04:09:30 EDT
Looking at the sources, I think that it should suffice to modify the
following:

rshd/rshd.c:
  in the findhostname function, replace the call of inet_ntop that
  initialize remote_address by:
  
  getnameinfo (fromp, fromlen, remote_address, INET6_ADDRSTRLEN,
               NULL, 0, NI_NUMERICHOST)

rlogind/network.c:
  rewrite the soaddr_eq_ip function to handle v4-mapped-on-v6
  addresses

I may try to do that myself. Let me know.
Comment 18 Francis.Montagnac 2013-07-01 11:27:31 EDT
I saw that you updated recently the RPM to the version 0.17-72

  - fix handling of non-native IPv6 connections via AF_INET6 socket

I tested it, and it works.

Thanks a lot.

Note You need to log in before you can comment on or make changes to this bug.